package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFH32 extends MwfRequest<MWFH32, MWFH32Response> {

    @Parameter(name = "Archiv")
    MWFH32 archiv(String archiv);
    @Parameter(name = "Autorizace")
    MWFH32 autorizace(String autorizace);
    @Parameter(name = "BezOhleduNaOM")
    MWFH32 bezOhleduNaOM(String bezOhleduNaOM);
    @Parameter(name = "CastkaPlatby")
    MWFH32 castkaPlatby(Double castkaPlatby);
    @Parameter(name = "CisloUctu")
    MWFH32 cisloUctu(Long cisloUctu);
    @Parameter(name = "CisloUctuPrijemce")
    MWFH32 cisloUctuPrijemce(String cisloUctuPrijemce);
    @Parameter(name = "DatumPorizeni")
    MWFH32 datumPorizeni(java.util.Date datumPorizeni);
    @Parameter(name = "IDTransakce")
    MWFH32 iDTransakce(Long iDTransakce);
    @Parameter(name = "MenaPlatby")
    MWFH32 menaPlatby(String menaPlatby);
    @Parameter(name = "ProfilLikvidatora")
    MWFH32 profilLikvidatora(String profilLikvidatora);
    @Parameter(name = "StavTransakce")
    MWFH32 stavTransakce(String stavTransakce);
    @Parameter(name = "StavTransakce2")
    MWFH32 stavTransakce2(Long stavTransakce2);
    @Parameter(name = "ValutaDo")
    MWFH32 valutaDo(java.util.Date valutaDo);
    @Parameter(name = "ValutaOd")
    MWFH32 valutaOd(java.util.Date valutaOd);
}
